Skip to main content
POST
/
api
/
v1
/
bot
/
playground
/
{id}
/
stream
API to get stream of message from bot on playground
curl --request POST \
  --url https://app.aptlystar.ai/api/v1/bot/playground/{id}/stream \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: */*' \
  --data '
{
  "message": "<string>",
  "queries": [
    {
      "labelName": "<string>",
      "labelKey": "<string>",
      "value": "<string>"
    }
  ],
  "history": "<array>"
}
'
import requests

url = "https://app.aptlystar.ai/api/v1/bot/playground/{id}/stream"

payload = {
"message": "<string>",
"queries": [
{
"labelName": "<string>",
"labelKey": "<string>",
"value": "<string>"
}
],
"history": "<array>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "*/*"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': '*/*'},
body: JSON.stringify({
message: '<string>',
queries: [{labelName: '<string>', labelKey: '<string>', value: '<string>'}],
history: '<array>'
})
};

fetch('https://app.aptlystar.ai/api/v1/bot/playground/{id}/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.

Headers

Authorization
string
required

Path Parameters

id
string
required

Body

*/*
message
string
required
queries
object[]
required
history
array

Response

200 - undefined